Sponsored Links

Sponsored Links

Page 1 of 4 123 ... LastLast
Results 1 to 10 of 31



  1. #1
    Senior Member iCEQB's Avatar
    Sponsored Links

    Post 3.15 PS3 Compatability List

    Sponsored Links
    Hi,

    I want to start a list here of games released after the 3.20 update, which are still playable on 3.15. For this list I need your help and every game you add I'll update this post here. Let's start with games that came out after GTA: Episodes from Liberty City, because this one came out at the same time Firmware 3.20 was online.

    If you want to contribute, please use this format:

    Name - Region - tested on FW version - work / don't work

    ---------------------------------------------------------------------------------------

    WORKS:

    DON'T WORK:

  2. #2
    Forum Moderator PS3 News's Avatar
    Sponsored Links

    Arrow

    Sponsored Links
    Quote Originally Posted by iCEQB View Post
    I want to start a list here of games released after the 3.20 update, which are still playable on 3.15. For this list I need your help and every game you add I'll update this post here.
    If this catches on and people list which games are no longer playable on PS3 Firmware 3.15 (require 3.20+) then I will add you as a Moderator so you'll have the proper Forum permissions to update the first post periodically.

    The only game I have is Untold Legends: Dark Kingdom, but hopefully some others here rent/play more recent PS3 titles who can report which Firmware the newer games use... I will +Rep all useful replies as well.

  3. #3
    Senior Member tragedy's Avatar
    Sponsored Links
    Sponsored Links
    To be honest, I don't think there'll be any games yet that won't work on 3.15 or 3.20 (which I believe is safe to upgrade to).

    The PUP on disc is provided by the SDK the developer was using to build the disc image, so most developers will be using 3.20 or older. From what I've been told, SDK 3.30 was released about a week ago, although it's far too quick for any games using this SDK to make it through Sony QA.

    Any games written with the 3.20 SDK should be safe to upgrade using the PUP on disc because that was released mid-February, well before the 3.21 rush job to remove OtherOS.

    Of course, that's assuming that Sony don't change the PUP on disc for developers...

  4. #4
    well I'll kick start this one (I've added an extra bit to the format as some people will have a console from another country but play their region's games):

    God of War Collection - UK Region Game - Jap Console - 3.15 - Works

  5. #5

    Lightbulb

    God of war 3 - region 2 - 3.15 - work

    heavy rain - region 2 - 3.15 - work

    good luck

  6. #6
    Well of course Heavy Rain works. It came out before 3.21 update did.

  7. #7
    GTA Episodes from Liberty City - Region 2 - tested on FW version 3.15 - work

  8. #8
    I gave a +Rep to all the replies thus far, but tragedy has a good point... also I'm wondering if it's only worth listing games that are found not to work versus all those that do on FW 3.15 to same time/effort.

  9. #9

    Wink

    BattleField BAD COMPANY 2 (2 region)- 3.15 Fully working.
    Dead To Rights Retribution (2 region)- 3.15 Fully working.

    Hope it helped!

  10. #10
    can we get an update on split second? will that work wih 3.15?

 
Sponsored Links

Page 1 of 4 123 ... LastLast
Advertising - Affiliates - Contact Us - PS3 Downloads - PS3 Forums - Privacy Statement - Site Rules - Top - © 2015 PlayStation 3 News